package com.m2sdl.undercooked.domain;

import java.util.List;

public class Review {
    private String text;
    private List<String> imageUrls;
    private long createdAt;
    private double latitude;
    private double longitude;

    public Review() {}

    public Review(String text, List<String> imageUrls, double latitude, double longitude) {
        this.text = text;
        this.imageUrls = imageUrls;
        this.createdAt = System.currentTimeMillis();
        this.longitude = longitude;
        this.latitude = latitude;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public List<String> getImageUrls() {
        return imageUrls;
    }

    public void setImageUrls(List<String> imageUrls) {
        this.imageUrls = imageUrls;
    }

    public long getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(long createdAt) {
        this.createdAt = createdAt;
    }

    public double getLatitude() {
        return latitude;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public double getLongitude() {
        return longitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }
}
